Bug 194044 - Deadlock while closing IDE (in automated tests)
Deadlock while closing IDE (in automated tests)
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
7.0
PC Linux
: P1 (vote)
: 7.0
Assigned To: Jesse Glick
issues@projects
: TEST, THREAD
Depends on: 194904
Blocks: 190901
  Show dependency treegraph
 
Reported: 2011-01-05 11:45 UTC by J Bachorik
Modified: 2011-01-31 15:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Deadlock stacktrace (40.76 KB, text/plain)
2011-01-05 11:46 UTC, J Bachorik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2011-01-05 11:45:49 UTC
While running automated performance tests the IDE deadlocked while being shut down.
The stackatrace is attached.
Comment 1 J Bachorik 2011-01-05 11:46:24 UTC
Created attachment 104721 [details]
Deadlock stacktrace
Comment 2 J Bachorik 2011-01-05 13:20:36 UTC
Quite reproducible. I am not able to finish the automated perf tests :(
Comment 3 Jesse Glick 2011-01-10 15:40:09 UTC
Triggered by fix of bug #190901. Maybe solvable by just dropping synch on System.getProperties(), which seems a bit unsafe but maybe OK.
Comment 4 J Bachorik 2011-01-11 13:05:16 UTC
Unfortunately, this problem makes the perf tests fail all the time by timeout.
Comment 5 Jaroslav Tulach 2011-01-11 15:22:02 UTC
If you believe ProjectProperties.java:430 is OK in locking the properties, I can check the property just once on start and not everytime a class is about to be loaded. Just assign to me then.
Comment 6 Jesse Glick 2011-01-12 16:38:06 UTC
core-main #a785989e4840
Comment 7 Quality Engineering 2011-01-13 07:39:17 UTC
Integrated into 'main-golden', will be available in build *201101130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a785989e4840
User: Jesse Glick <jglick@netbeans.org>
Log: #194044: Deadlock while closing IDE (in automated tests)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo